<?php

declare(strict_types=1);

namespace Cryptonix_Payment\Service;

use Cryptonix_Payment\DTO\Create_Order_DTO;
use Cryptonix_Payment\HttpClient\Cryptonix_Api;
use Cryptonix_Payment\HttpClient\Http_Client_Interface;

class Order_Service
{
    private Http_Client_Interface $client;

    public function __construct(string $public_key, string $private_key) {
        $this->client = new Cryptonix_Api($public_key, $private_key);
    }

    public function create_order(Create_Order_DTO $create_order_dto): array {
        return $this->client->send_request(
            'api/v2/create-order/',
            $create_order_dto->to_array(),
            'POST',
        );
    }
}
