<?php

declare(strict_types=1);

namespace Cryptonix_Payment\Woocommerce\Gateway;

use Automattic\WooCommerce\Blocks\Payments\Integrations\AbstractPaymentMethodType;
use WC_Cryptonix_Payment;

class Cryptonix_Block_Gateway extends AbstractPaymentMethodType {
    protected $name = 'cryptonix';
    private Cryptonix_Gateway $gateway;

    public function initialize(): void {
        $this->gateway = new Cryptonix_Gateway();
    }

    public function is_active(): bool {
        return $this->gateway->is_available();
    }

    public function get_payment_method_script_handles(): array {
        wp_register_script( 'cryptonix-payment', WC_Cryptonix_Payment::asset_url('js/cryptonix-payment.js'), [
            'wc-blocks-registry',
            'wc-settings',
            'wp-element',
            'wp-html-entities',
            'wp-i18n',
        ], '17102024', ['in_footer' => true] );

        return ['cryptonix-payment'];
    }

    public function get_payment_method_data() {
        return [
            'title' => $this->gateway->get_option('title'),
            'description' => $this->gateway->get_option('description'),
        ];
    }
}
